Bug 1581180 - Update fossil version to 2.6 (currently is 2.2)
Summary: Update fossil version to 2.6 (currently is 2.2)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fossil
Version: 28
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Divya Cote
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-22 09:47 UTC by George Petasis
Modified: 2019-07-10 17:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:22:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1524334 None CLOSED CVE-2017-17459 fossil: Command injection via malicious ssh URLs 2019-07-10 17:13:29 UTC
Red Hat Bugzilla 1524335 None ON_QA CVE-2017-17459 fossil: Command injection via malicious ssh URLs [fedora-all] 2019-07-10 17:13:29 UTC

Description George Petasis 2018-05-22 09:47:03 UTC
Description of problem:

The version of fossil included in Fedora is old. Fedora 27/28 distribute version 2.2, current version is 2.6

Version-Release number of selected component (if applicable):
fossil-2.2-5.fc28

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

This relates also to bugs 1524334 and 1524335.
https://bugzilla.redhat.com/show_bug.cgi?id=1524334
https://bugzilla.redhat.com/show_bug.cgi?id=1524335

Comment 1 George Petasis 2018-05-24 11:52:58 UTC
The license has not changed. It is still BSD.

Comment 2 George Petasis 2018-05-24 11:57:15 UTC
Also, "rpm -q --whatrequires fossil" shows that no other package relies on fossil. So, the version can be updated.

Comment 3 Ben Cotton 2019-05-02 21:42:49 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 20:22:18 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 George Petasis 2019-07-10 17:19:01 UTC
Thank you very much. I have tested the new package under Fedora 30, and it works as expected.
I think we can close this bug.


Note You need to log in before you can comment on or make changes to this bug.